IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_275_TAVI_GIRISIM_ISLEM_SONU]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_275_TAVI_GIRISIM_ISLEM_SONU
GO

CREATE PROCEDURE [dbo].SPUSS_275_TAVI_GIRISIM_ISLEM_SONU 
	@HDOSYAID INT=0,
	@HMUAYENEID INT=0,
	@TUMUNUTEKRAR BIT = 0
	 	 
AS
BEGIN
	--SPUSS_275_TAVI_GIRISIM_ISLEM_SONU 165788,115370,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @goNDERIMTABLOSU TABLE 
		(
			goNDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)
	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER


SELECT 
 USS275.ID USSDIGER_ID
,USS275.HDOSYAID
,USS275.HMUAYENEID
,USS275.HKIMLIKID
,USS275.HYATISID,

---*************************************
USS275.TAVI_UZMAN_NOTU TAVI_UZMAN_NOTU,
USS275.TABURCULUK_AORT_KAPAGI_ORTALAMA_GRADIYENT AORT_KAPAGI_ORTALAMA_GRADIYENT,
USS275.TABURCULUK_SOL_VENTRIKUL_EJEKSIYON_FRAKSIYONU SOL_VENTRIKUL_EJEKSIYON_FRAKSIYONU,

--TAVI_GIRISIM_BILGILERI
USS275.AORTIK_BALON_VALVULOPLASTI_YAPILMIS_MI AORTIK_BALON_VALVULOPLASTI_YAPILMIS_MI_ID,
TAORTIK_BALON_VALVULOPLASTI_YAPILMIS_MI.AD AORTIK_BALON_VALVULOPLASTI_YAPILMIS_MI_ADI,

USS275.KULLANILAN_BALON_CAPI KULLANILAN_BALON_CAPI,

USS275.GIRISIM_YERI GIRISIM_YERI_ID,
TGIRISIM_YERI.AD GIRISIM_YERI_ADI,

USS275.SHEATH_SIZE_PERKUTAN_ISE SHEATH_SIZE_PERKUTAN_ISE,
USS275.KULLANILAN_KAPAGIN_SUT_KODU KULLANILAN_KAPAGIN_SUT_KODU,
USS275.KULLANILAN_KAPAGIN_KURESEL_URUN_BARKODU KULLANILAN_KAPAGIN_KURESEL_URUN_BARKODU,
USS275.KULLANILAN_KAPAK_SIZE KULLANILAN_KAPAK_SIZE,

USS275.VASKULER_KAPATMA_TEKNIGI VASKULER_KAPATMA_TEKNIGI_ID,
TVASKULER_KAPATMA_TEKNIGI.AD VASKULER_KAPATMA_TEKNIGI_ADI,

USS275.BASARILI_KAPAK_YERLESTIRME BASARILI_KAPAK_YERLESTIRME_ID,
TBASARILI_KAPAK_YERLESTIRME.AD BASARILI_KAPAK_YERLESTIRME_ADI,


--ISLEM_SONUNDA_KATETER_LABORATUVARINDA_SAPTANAN_KOMPLIKASYONLAR

USS275.AORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI AORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI_ID,
TAORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI.AD AORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI_ADI,

USS275.DAMAR_YARALANMASI_BILGISI DAMAR_YARALANMASI_BILGISI_ID,
TDAMAR_YARALANMASI_BILGISI.AD DAMAR_YARALANMASI_BILGISI_ADI,

USS275.SEREBROVASKULER_OLAY_BILGISI_HASTANE SEREBROVASKULER_OLAY_BILGISI_HASTANE_ID,
TSEREBROVASKULER_OLAY_BILGISI_HASTANE.AD SEREBROVASKULER_OLAY_BILGISI_HASTANE_ADI,

USS275.SEREBROVASKULER_OLAY_BILGISI_ISLEM SEREBROVASKULER_OLAY_BILGISI_ISLEM_ID,
TSEREBROVASKULER_OLAY_BILGISI_ISLEM.AD SEREBROVASKULER_OLAY_BILGISI_ISLEM_ADI,

USS275.AORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE AORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE_ID,
TAORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE.AD AORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE_ADI,

USS275.AORT_YETERSIZLIGI_ANJIYOGRAFI_ILE AORT_YETERSIZLIGI_ANJIYOGRAFI_ILE_ID,
TAORT_YETERSIZLIGI_ANJIYOGRAFI_ILE.AD AORT_YETERSIZLIGI_ANJIYOGRAFI_ILE_ADI,

USS275.TAVI_OLUM TAVI_OLUM_ID,
TTAVI_OLUM.AD TAVI_OLUM_ADI,

USS275.MIYOKARD_INFARKTUSU MIYOKARD_INFARKTUSU_ID,
TMIYOKARD_INFARKTUSU.AD MIYOKARD_INFARKTUSU_ADI,

USS275.TAMPONAD_HASTANE TAMPONAD_HASTANE_ID,
TTAMPONAD_HASTANE.AD TAMPONAD_HASTANE_ADI,

USS275.TAMPONAD_ISLEM TAMPONAD_ISLEM_ID,
TTAMPONAD_ISLEM.AD TAMPONAD_ISLEM_ADI,



USS275.TAMPONAD_ISLEM_BILGISI TAMPONAD_ISLEM_BILGISI_ID,
TTAMPONAD_ISLEM_BILGISI.AD TAMPONAD_ISLEM_BILGISI_ADI,

USS275.DAMAR_YARALANMASI_GELISMIS_MI DAMAR_YARALANMASI_GELISMIS_MI_ID,
TDAMAR_YARALANMASI_GELISMIS_MI.AD DAMAR_YARALANMASI_GELISMIS_MI_ADI,

USS275.MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI_ID,
TMAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI.AD MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI_ADI,

USS275.ANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI ANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI_ID,
TANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI.AD ANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI_ADI,

USS275.KALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI KALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI_ID,
TKALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI.AD KALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI_ADI,

USS275.ACIL_KAPAK_CERRAHISINE_DONUSUM ACIL_KAPAK_CERRAHISINE_DONUSUM_ID,
TACIL_KAPAK_CERRAHISINE_DONUSUM.AD ACIL_KAPAK_CERRAHISINE_DONUSUM_ADI,

USS275.ACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI ACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI_ID,
TACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI.AD ACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI_ADI,

USS275.KARDIYOJENIK_SOK_GELISMIS_MI KARDIYOJENIK_SOK_GELISMIS_MI_ID,
TKARDIYOJENIK_SOK_GELISMIS_MI.AD KARDIYOJENIK_SOK_GELISMIS_MI_ADI,

USS275.CIHAZ_EMBOLIZASYONU_GELISMIS_MI CIHAZ_EMBOLIZASYONU_GELISMIS_MI_ID,
TCIHAZ_EMBOLIZASYONU_GELISMIS_MI.AD CIHAZ_EMBOLIZASYONU_GELISMIS_MI_ADI,

USS275.ANNULER_RUPTUR_GELISMIS_MI ANNULER_RUPTUR_GELISMIS_MI_ID,
TANNULER_RUPTUR_GELISMIS_MI.AD ANNULER_RUPTUR_GELISMIS_MI_ADI,

USS275.SEREBROVASKULER_OLAY_GELISMIS_MI_HASTANE SEREBROVASKULER_OLAY_GELISMIS_MI_HASTANE_ID,
TSEREBROVASKULER_OLAY_GELISMIS_MI_HASTANE.AD SEREBROVASKULER_OLAY_GELISMIS_MI_HASTANE_ADI,

USS275.SEREBROVASKULER_OLAY_GELISMIS_MI_ISLEM SEREBROVASKULER_OLAY_GELISMIS_MI_ISLEM_ID,
TSEREBROVASKULER_OLAY_GELISMIS_MI_ISLEM.AD SEREBROVASKULER_OLAY_GELISMIS_MI_ISLEM_ADI,

--GIRISIM_SONRASI_HASTANE_ICI_KOMPLIKASYONLAR

USS275.MIYOKARD_INFARKTUSU_GELISMIS_MI MIYOKARD_INFARKTUSU_GELISMIS_MI_ID,
TMIYOKARD_INFARKTUSU_GELISMIS_MI.AD MIYOKARD_INFARKTUSU_GELISMIS_MI_ADI,

USS275.VALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI VALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI_ID,
TVALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI.AD VALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI_ADI,

USS275.CERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI CERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI_ID,
TCERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI.AD CERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI_ADI,

USS275.KALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI KALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI_ID,
TKALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI.AD KALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI_ADI,

USS275.CIHAZIN_YER_DEGISTIRMESI CIHAZIN_YER_DEGISTIRMESI_ID,
TCIHAZIN_YER_DEGISTIRMESI.AD CIHAZIN_YER_DEGISTIRMESI_ADI,

USS275.KANAMA_KOMPLIKASYONLARI KANAMA_KOMPLIKASYONLARI_ID,
TKANAMA_KOMPLIKASYONLARI.AD KANAMA_KOMPLIKASYONLARI_ADI,

USS275.KANAMA_KOMPLIKASYONLARI_BILGISI KANAMA_KOMPLIKASYONLARI_BILGISI_ID,
TKANAMA_KOMPLIKASYONLARI_BILGISI.AD KANAMA_KOMPLIKASYONLARI_BILGISI_ADI,

USS275.TAVI_KAN_TRANSFUZYONU TAVI_KAN_TRANSFUZYONU_ID,
TTAVI_KAN_TRANSFUZYONU.AD TAVI_KAN_TRANSFUZYONU_ADI,

USS275.AKUT_BOBREK_HASARI AKUT_BOBREK_HASARI_ID,
TAKUT_BOBREK_HASARI.AD AKUT_BOBREK_HASARI_ADI,

USS275.GIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ GIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ_ID,
TGIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ.AD GIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ_ADI,

USS275.CERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR CERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR_ID,
TCERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR.AD CERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR_ADI



--**************************************



      , HDOSYA.SUBEID HDOSYA_SUBEID
	  ,SUBELER.SUBEADI SUBELER_SUBEADI
	  ,HDOSYA.SNOTAKIPNO HDOSYA_SNOTAKIPNO
	  ,		 ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Yenidoğanların Kimliksiz fatura edilebilir gün sayısı'),'') 	AS SAGLIKNETKIMLIKSIZYENIDOGANGUN,

		CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'10000038' 
		ELSE
			ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') 
		END AS SAGLIKNETKURUMKODU,

			CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'3bc26a7d-4a19-4edf-ab9f-1413ac85e7d0' /*TEST KTS FİRMA KODU*/
		ELSE
			'C740D0288ED4C45FE0407C0A04162BDD'  /*KTS TALYA*/ 
		END AS SNOKTSFIRMAKODU,

		ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Hasta kayıt gönderiminde referans no ön Karakteri'),'') AS REFNOONEK

INTO #TMPUSSDIGER 

FROM USS275_TAVI_GIRISIM_ISLEM_SONU AS USS275
INNER JOIN HDOSYA ON HDOSYA.HDOSYAID = USS275.HDOSYAID
LEFT JOIN HKIMLIK ON HKIMLIK.HKIMLIKID=HDOSYA.HKIMLIKID
LEFT JOIN	SUBELER ON SUBELER.SUBEID=HDOSYA.SUBEID

LEFT JOIN 
(
/**<AORTIK_BALON_VALVULOPLASTI_YAPILMIS_MI     version="1"     codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" />*/
SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TAORTIK_BALON_VALVULOPLASTI_YAPILMIS_MI 
ON TAORTIK_BALON_VALVULOPLASTI_YAPILMIS_MI.ID = USS275.AORTIK_BALON_VALVULOPLASTI_YAPILMIS_MI

LEFT JOIN 
(
/**--  <AORT_YETERSIZLIGI_ANJIYOGRAFI_ILE version="1" codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" code="Code" value="AORT_YETERSIZLIGI_ANJIYOGRAFI_ILE" />*/
SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TAORT_YETERSIZLIGI_ANJIYOGRAFI_ILE 
ON TAORT_YETERSIZLIGI_ANJIYOGRAFI_ILE.ID = USS275.AORT_YETERSIZLIGI_ANJIYOGRAFI_ILE

LEFT JOIN 
(
--<MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI version="1" codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" code="Code" value="MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI" />
SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TMAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI 
ON TMAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI.ID = USS275.MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI

LEFT JOIN 
(
--<MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI version="1" codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" code="Code" value="MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI" />
SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI 
ON TANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI.ID = USS275.ANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI


LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TKALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI
ON TKALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI.ID = USS275.KALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI

LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TACIL_KAPAK_CERRAHISINE_DONUSUM
ON TACIL_KAPAK_CERRAHISINE_DONUSUM.ID = USS275.ACIL_KAPAK_CERRAHISINE_DONUSUM


LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI
ON TACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI.ID = USS275.ACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI


LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TKARDIYOJENIK_SOK_GELISMIS_MI
ON TKARDIYOJENIK_SOK_GELISMIS_MI.ID = USS275.KARDIYOJENIK_SOK_GELISMIS_MI

LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TCERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR
ON TCERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR.ID = USS275.CERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR

LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TCIHAZ_EMBOLIZASYONU_GELISMIS_MI
ON TCIHAZ_EMBOLIZASYONU_GELISMIS_MI.ID = USS275.CIHAZ_EMBOLIZASYONU_GELISMIS_MI

LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TANNULER_RUPTUR_GELISMIS_MI
ON TANNULER_RUPTUR_GELISMIS_MI.ID = USS275.ANNULER_RUPTUR_GELISMIS_MI

LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TSEREBROVASKULER_OLAY_GELISMIS_MI_ISLEM
ON TSEREBROVASKULER_OLAY_GELISMIS_MI_ISLEM.ID = USS275.SEREBROVASKULER_OLAY_GELISMIS_MI_ISLEM

LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TSEREBROVASKULER_OLAY_GELISMIS_MI_HASTANE
ON TSEREBROVASKULER_OLAY_GELISMIS_MI_HASTANE.ID = USS275.SEREBROVASKULER_OLAY_GELISMIS_MI_HASTANE

LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TMIYOKARD_INFARKTUSU_GELISMIS_MI
ON TMIYOKARD_INFARKTUSU_GELISMIS_MI.ID = USS275.MIYOKARD_INFARKTUSU_GELISMIS_MI



--****

LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TVALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI
ON TVALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI.ID = USS275.VALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI


LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TCERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI
ON TCERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI.ID = USS275.CERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI


LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TKALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI
ON TKALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI.ID = USS275.KALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI


LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TCIHAZIN_YER_DEGISTIRMESI
ON TCIHAZIN_YER_DEGISTIRMESI.ID = USS275.CIHAZIN_YER_DEGISTIRMESI


--***
LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TKANAMA_KOMPLIKASYONLARI
ON TKANAMA_KOMPLIKASYONLARI.ID = USS275.KANAMA_KOMPLIKASYONLARI

LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TAKUT_BOBREK_HASARI
ON TAKUT_BOBREK_HASARI.ID = USS275.AKUT_BOBREK_HASARI

LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TTAVI_KAN_TRANSFUZYONU
ON TTAVI_KAN_TRANSFUZYONU.ID = USS275.TAVI_KAN_TRANSFUZYONU

LEFT JOIN 
(

SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TGIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ
ON TGIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ.ID = USS275.GIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ


LEFT JOIN 
(
/**<GIRISIM_YERI 
    version="1" 
    codeSystemGuid="682ea482-cbda-458f-a09b-ce20d5ca496f" />*/

	SELECT 'APİKAL' AS AD, 1 AS ID
UNION ALL
SELECT 'FEMORAL' AS AD, 2 AS ID
UNION ALL
SELECT 'SUBKLAVİYEN' AS AD, 3 AS ID
UNION ALL
SELECT 'AKSİLLER' AS AD, 4 AS ID
UNION ALL
SELECT 'AORTİK' AS AD, 5 AS ID
UNION ALL
SELECT 'KAROTİD' AS AD, 6 AS ID
UNION ALL
SELECT 'BRAKİOSEFALİK' AS AD, 7 AS ID

) TGIRISIM_YERI 
ON TGIRISIM_YERI.ID = USS275.GIRISIM_YERI


LEFT JOIN 
(
/**<VASKULER_KAPATMA_TEKNIGI 
    version="1" 
    codeSystemGuid="7a6aefa0-be35-4e49-a33e-2dbbea783f3f" />*/
	SELECT 'PERKÜTAN CİHAZ İLE KAPATMA' AS AD, 1 AS ID
UNION ALL
SELECT 'PLANLI OLARAK CERRAHİ KAPATMA' AS AD, 2 AS ID
UNION ALL
SELECT 'PERKÜTAN CİHAZ DİSFONKSİYONUNA BAĞLI OLARAK CERRAHİ KAPATMA' AS AD, 3 AS ID


) TVASKULER_KAPATMA_TEKNIGI 
ON TVASKULER_KAPATMA_TEKNIGI.ID = USS275.VASKULER_KAPATMA_TEKNIGI


LEFT JOIN 
(
/**<BASARILI_KAPAK_YERLESTIRME 
    version="1" 
    codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" />*/
	SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
) TBASARILI_KAPAK_YERLESTIRME 
ON TBASARILI_KAPAK_YERLESTIRME.ID = USS275.BASARILI_KAPAK_YERLESTIRME

LEFT JOIN 
(
/**<AORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI 
    version="1" 
    codeSystemGuid="fbee4cf0-7e2d-4f06-9cf7-40d4558a11f8" />*/
	SELECT '1. DERECE' AS AD, 1 AS ID
UNION ALL
SELECT '2. DERECE' AS AD, 2 AS ID
UNION ALL
SELECT '3. DERECE' AS AD, 3 AS ID
UNION ALL
SELECT '4. DERECE' AS AD, 4 AS ID

) TAORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI 
ON TAORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI.ID = USS275.AORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI


LEFT JOIN 
(
/**<DAMAR_YARALANMASI_BILGISI 
    version="1" 
    codeSystemGuid="c5b92643-e0c1-482b-ab10-220ea72d265a" />*/
	SELECT 'MİNÖR' AS AD, 1 AS ID
UNION ALL
SELECT 'MAJÖR' AS AD, 2 AS ID
UNION ALL
SELECT 'CİHAZ DİSFONKSİYONU' AS AD, 3 AS ID

) TDAMAR_YARALANMASI_BILGISI 
ON TDAMAR_YARALANMASI_BILGISI.ID = USS275.DAMAR_YARALANMASI_BILGISI


LEFT JOIN 
(
/**<SEREBROVASKULER_OLAY_BILGISI 
    version="1" 
    codeSystemGuid="11e09622-4482-4f10-9e8d-012cea417196" />*/
	SELECT 'GEÇİCİ İSTEMİK ATAK (TIA)' AS AD, 1 AS ID
UNION ALL
SELECT 'İNME' AS AD, 2 AS ID

) TSEREBROVASKULER_OLAY_BILGISI_ISLEM
ON TSEREBROVASKULER_OLAY_BILGISI_ISLEM.ID = USS275.SEREBROVASKULER_OLAY_BILGISI_ISLEM

LEFT JOIN 
(
/**<SEREBROVASKULER_OLAY_BILGISI 
    version="1" 
    codeSystemGuid="11e09622-4482-4f10-9e8d-012cea417196" />*/
	SELECT 'GEÇİCİ İSTEMİK ATAK (TIA)' AS AD, 1 AS ID
UNION ALL
SELECT 'İNME' AS AD, 2 AS ID

) TSEREBROVASKULER_OLAY_BILGISI_HASTANE
ON TSEREBROVASKULER_OLAY_BILGISI_HASTANE.ID = USS275.SEREBROVASKULER_OLAY_BILGISI_HASTANE

LEFT JOIN 
(
/**<AORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE 
    version="1" 
    codeSystemGuid="e396ee6f-d024-4c95-9955-f26a3156525f" />*/
	SELECT 'YOK' AS AD, 1 AS ID
UNION ALL
SELECT 'HAFİF' AS AD, 2 AS ID
UNION ALL
SELECT 'ORTA' AS AD, 3 AS ID
UNION ALL
SELECT 'ŞİDDETLİ' AS AD, 4 AS ID

) TAORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE 
ON TAORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE.ID = USS275.AORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE

LEFT JOIN (/**<TAVI_OLUM version="1" codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" />*/
SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
)
TTAVI_OLUM 
ON TTAVI_OLUM.ID = USS275.TAVI_OLUM

LEFT JOIN (/**<MIYOKARD_INFARKTUSU version="1" codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" />*/
SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
)
TMIYOKARD_INFARKTUSU 
ON TMIYOKARD_INFARKTUSU.ID = USS275.MIYOKARD_INFARKTUSU

LEFT JOIN (/**<TAMPONAD version="1" codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" />*/
SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
)
TTAMPONAD_HASTANE 
ON TTAMPONAD_HASTANE.ID = USS275.TAMPONAD_HASTANE

LEFT JOIN (/**<TAMPONAD version="1" codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" />*/
SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID
)
TTAMPONAD_ISLEM
ON TTAMPONAD_ISLEM.ID = USS275.TAMPONAD_ISLEM



LEFT JOIN (/**<DAMAR_YARALANMASI_GELISMIS_MI version="1" codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" />*/
SELECT 'EVET' AS AD, 1 AS ID
UNION ALL
SELECT 'HAYIR' AS AD, 2 AS ID

)
TDAMAR_YARALANMASI_GELISMIS_MI 
ON TDAMAR_YARALANMASI_GELISMIS_MI.ID = USS275.DAMAR_YARALANMASI_GELISMIS_MI

LEFT JOIN 
(
/**<TAMPONAD_ISLEM_BILGISI 
    version="1" 
    codeSystemGuid="f9e3dadb-1274-4070-ad19-dbd5b033c432" />*/
SELECT 'CERRAHİ MÜDAHALE GEREKTİREN' AS AD, 1 AS ID
UNION ALL
SELECT 'PERKÜTAN GİRİŞİM GEREKTİREN' AS AD, 2 AS ID

) TTAMPONAD_ISLEM_BILGISI 
ON TTAMPONAD_ISLEM_BILGISI.ID = USS275.TAMPONAD_ISLEM_BILGISI


LEFT JOIN 
(
/**<KANAMA_KOMPLIKASYONLARI_BILGISI 
    version="1" 
    codeSystemGuid="d97e13ae-a0c9-47d3-a6ab-9962e108662f" />*/
SELECT 'MİNÖR' AS AD, 1 AS ID
UNION ALL
SELECT 'MAJÖR' AS AD, 2 AS ID
UNION ALL
SELECT 'HAYATI TEHDİT EDEN' AS AD, 3 AS ID

) TKANAMA_KOMPLIKASYONLARI_BILGISI 
ON TKANAMA_KOMPLIKASYONLARI_BILGISI.ID = USS275.KANAMA_KOMPLIKASYONLARI_BILGISI


--**************************************


WHERE USS275.HMUAYENEID= @HMUAYENEID AND USS275.HDOSYAID = @HDOSYAID 


	IF (SELECT COUNT(*) FROM #TMPUSSDIGER) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Gönderilecek kayıt bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'dosyasının şube kaydı bulunamadı! '

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine kayIT yapılamaz. '

   	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPUSSDIGER
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END



	IF @HATA='' AND @SAYIHATA=0
	BEGIN


		--HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
   		DECLARE @CURUSSDIGERID INT
		DECLARE CURUSSDIGER CURSOR FOR SELECT USSDIGER_ID FROM #TMPUSSDIGER
		OPEN CURUSSDIGER
		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID
		WHILE @@FETCH_STATUS =0
		BEGIN
		

	
					SET @HATA = ''
					SET @MESAJ = ''
					SET @SAYIHATA = 0

		
					 
					IF EXISTS(SELECT USSDIGER_ID FROM #TMPUSSDIGER WHERE  ISNULL(USSDIGER_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Kayıt seçilmemiş. '


					IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE USSDIGER_ID=@CURUSSDIGERID) > 0
					BEGIN
						IF @HATA = '' AND @SAYIHATA=0
						BEGIN
							BEGIN TRY 
								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT							 
									(
									
										SELECT 
										   NEWID() AS 'messageGuid/@value',
										   '1' AS 'messageType/@version',
										   '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' as 'messageType/@codeSystemGuid',
										   '275' AS 'messageType/@code',
										   'TAVI Girişim ve Işlem Sonu Veri Seti' AS 'messageType/@value',
										   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
										   (
											  SELECT	
												 '1' AS 'healthcareProvider/@version',
												 'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
												 SAGLIKNETKURUMKODU as 'healthcareProvider/@code',
												 SUBELER_SUBEADI as 'healthcareProvider/@value'  
												 FOR XML PATH('author'), TYPE),
												 --'C740D0288ED4C45FE0407C0A04162BDD' as 'firmaKodu/@value' ,
												 SNOKTSFIRMAKODU as 'firmaKodu/@value' ,
												 (
													SELECT 

														(
														 SELECT 

														   (
																	---------------------------------------------------------
																	-- TABURCULUKTA_KARDIYAK_DEGERLENDIRME
																	---------------------------------------------------------
																	SELECT

																		(
																			SELECT
																				TAVI_UZMAN_NOTU AS '@value'
																			FOR XML PATH('TAVI_UZMAN_NOTU'), TYPE
																		),

																		(
																			SELECT
																				AORT_KAPAGI_ORTALAMA_GRADIYENT AS '@value'
																			FOR XML PATH('AORT_KAPAGI_ORTALAMA_GRADIYENT'), TYPE
																		),

																		(
																			SELECT
																				SOL_VENTRIKUL_EJEKSIYON_FRAKSIYONU AS '@value'
																			FOR XML PATH('SOL_VENTRIKUL_EJEKSIYON_FRAKSIYONU'), TYPE
																		)

																	FOR XML PATH('TABURCULUKTA_KARDIYAK_DEGERLENDIRME'), TYPE
																),

																 (
																	---------------------------------------------------------
																	-- TAVI_GIRISIM_BILGILERI
																	---------------------------------------------------------
																	SELECT

																		(
																			SELECT
																				'1' AS '@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS '@codeSystemGuid',
																				AORTIK_BALON_VALVULOPLASTI_YAPILMIS_MI_ID AS '@code',
																				AORTIK_BALON_VALVULOPLASTI_YAPILMIS_MI_ADI AS '@value'
																			FOR XML PATH('AORTIK_BALON_VALVULOPLASTI_YAPILMIS_MI'), TYPE
																		),

																		(
																			SELECT
																				KULLANILAN_BALON_CAPI AS '@value'
																			FOR XML PATH('KULLANILAN_BALON_CAPI'), TYPE
																		),

																		(
																			SELECT
																				'1' AS '@version',
																				'682ea482-cbda-458f-a09b-ce20d5ca496f' AS '@codeSystemGuid',
																				GIRISIM_YERI_ID AS '@code',
																				GIRISIM_YERI_ADI AS '@value'
																			FOR XML PATH('GIRISIM_YERI'), TYPE
																		),

																		(
																			SELECT
																				SHEATH_SIZE_PERKUTAN_ISE AS '@value'
																			FOR XML PATH('SHEATH_SIZE_PERKUTAN_ISE'), TYPE
																		),

																		(
																			SELECT
																				KULLANILAN_KAPAGIN_SUT_KODU AS '@value'
																			FOR XML PATH('KULLANILAN_KAPAGIN_SUT_KODU'), TYPE
																		),

																		(
																			SELECT
																				KULLANILAN_KAPAGIN_KURESEL_URUN_BARKODU AS '@value'
																			FOR XML PATH('KULLANILAN_KAPAGIN_KURESEL_URUN_BARKODU'), TYPE
																		),

																		(
																			SELECT
																				KULLANILAN_KAPAK_SIZE AS '@value'
																			FOR XML PATH('KULLANILAN_KAPAK_SIZE'), TYPE
																		),

																		(
																			SELECT
																				'1' AS '@version',
																				'7a6aefa0-be35-4e49-a33e-2dbbea783f3f' AS '@codeSystemGuid',
																				VASKULER_KAPATMA_TEKNIGI_ID AS '@code',
																				VASKULER_KAPATMA_TEKNIGI_ADI AS '@value'
																			FOR XML PATH('VASKULER_KAPATMA_TEKNIGI'), TYPE
																		),

																		(
																			SELECT
																				'1' AS '@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS '@codeSystemGuid',
																				BASARILI_KAPAK_YERLESTIRME_ID AS '@code',
																				BASARILI_KAPAK_YERLESTIRME_ADI AS '@value'
																			FOR XML PATH('BASARILI_KAPAK_YERLESTIRME'), TYPE
																		)

																	FOR XML PATH('TAVI_GIRISIM_BILGILERI'), TYPE
																),



																(
																		SELECT
																		(
																			---------------------------------------------------------
																			-- ISLEM_SONUNDA_KATETER_LABORATUVARINDA_SAPTANAN_KOMPLIKASYONLAR
																			---------------------------------------------------------
																			SELECT

																				-- 1
																				'1' AS 'AORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI/@version',
																				'fbee4cf0-7e2d-4f06-9cf7-40d4558a11f8' AS 'AORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI/@codeSystemGuid',
																				ISNULL(AORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI_ID,'') AS 'AORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI/@code',
																				ISNULL(AORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI_ADI,'') AS 'AORT_YETERSIZLIGI_ANJIYOGRAFI_DERECE_BILGISI/@value',

																				-- 2
																				'1' AS 'DAMAR_YARALANMASI_BILGISI/@version',
																				'c5b92643-e0c1-482b-ab10-220ea72d265a' AS 'DAMAR_YARALANMASI_BILGISI/@codeSystemGuid',
																				ISNULL(DAMAR_YARALANMASI_BILGISI_ID,'') AS 'DAMAR_YARALANMASI_BILGISI/@code',
																				ISNULL(DAMAR_YARALANMASI_BILGISI_ADI,'') AS 'DAMAR_YARALANMASI_BILGISI/@value',


																				'1' AS 'SEREBROVASKULER_OLAY_BILGISI/@version',
																				'11e09622-4482-4f10-9e8d-012cea417196' AS 'SEREBROVASKULER_OLAY_BILGISI/@codeSystemGuid',
																				ISNULL(SEREBROVASKULER_OLAY_BILGISI_ISLEM_ID,'') AS 'SEREBROVASKULER_OLAY_BILGISI/@code',
																				ISNULL(SEREBROVASKULER_OLAY_BILGISI_ISLEM_ADI,'') AS 'SEREBROVASKULER_OLAY_BILGISI/@value',


																				'1' AS 'AORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE/@version',
																				'e396ee6f-d024-4c95-9955-f26a3156525f' AS 'AORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE/@codeSystemGuid',
																				ISNULL(AORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE_ID,'') AS 'AORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE/@code',
																				ISNULL(AORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE_ADI,'') AS 'AORT_YETERSIZLIGI_EKOKARDIYOGRAFI_ILE/@value',


																				'1' AS 'AORT_YETERSIZLIGI_ANJIYOGRAFI_ILE/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'AORT_YETERSIZLIGI_ANJIYOGRAFI_ILE/@codeSystemGuid',
																				ISNULL(AORT_YETERSIZLIGI_ANJIYOGRAFI_ILE_ID,'') AS 'AORT_YETERSIZLIGI_ANJIYOGRAFI_ILE/@code',
																				ISNULL(AORT_YETERSIZLIGI_ANJIYOGRAFI_ILE_ADI,'') AS 'AORT_YETERSIZLIGI_ANJIYOGRAFI_ILE/@value',


																				'1' AS 'TAVI_OLUM/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'TAVI_OLUM/@codeSystemGuid',
																				ISNULL(TAVI_OLUM_ID,'') AS 'TAVI_OLUM/@code',
																				ISNULL(TAVI_OLUM_ADI,'') AS 'TAVI_OLUM/@value',


																				'1' AS 'MIYOKARD_INFARKTUSU/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'MIYOKARD_INFARKTUSU/@codeSystemGuid',
																				ISNULL(MIYOKARD_INFARKTUSU_ID,'') AS 'MIYOKARD_INFARKTUSU/@code',
																				ISNULL(MIYOKARD_INFARKTUSU_ADI,'') AS 'MIYOKARD_INFARKTUSU/@value',


																				'1' AS 'TAMPONAD/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'TAMPONAD/@codeSystemGuid',
																				ISNULL(TAMPONAD_ISLEM_ID,'') AS 'TAMPONAD/@code',
																				ISNULL(TAMPONAD_ISLEM_ADI,'') AS 'TAMPONAD/@value',


																				'1' AS 'TAMPONAD_ISLEM_BILGISI/@version',
																				'f9e3dadb-1274-4070-ad19-dbd5b033c432' AS 'TAMPONAD_ISLEM_BILGISI/@codeSystemGuid',
																				ISNULL(TAMPONAD_ISLEM_BILGISI_ID,'') AS 'TAMPONAD_ISLEM_BILGISI/@code',
																				ISNULL(TAMPONAD_ISLEM_BILGISI_ADI,'') AS 'TAMPONAD_ISLEM_BILGISI/@value',


																				'1' AS 'DAMAR_YARALANMASI_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'DAMAR_YARALANMASI_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(DAMAR_YARALANMASI_GELISMIS_MI_ID,'') AS 'DAMAR_YARALANMASI_GELISMIS_MI/@code',
																				ISNULL(DAMAR_YARALANMASI_GELISMIS_MI_ADI,'') AS 'DAMAR_YARALANMASI_GELISMIS_MI/@value',


																				'1' AS 'MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI_ID,'') AS 'MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI/@code',
																				ISNULL(MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI_ADI,'') AS 'MAJOR_APIKAL_KANULASYON_KOMPLIKASYONLARI_GELISMIS_MI/@value',


																				'1' AS 'ANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'ANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(ANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI_ID,'') AS 'ANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI/@code',
																				ISNULL(ANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI_ADI,'') AS 'ANA_KORONERE_MUDAHALE_GEREKTIREN_KURTARMA_GELISMIS_MI/@value',


																				'1' AS 'KALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'KALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(KALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI_ID,'') AS 'KALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI/@code',
																				ISNULL(KALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI_ADI,'') AS 'KALP_PILI_GEREKTIREN_YENI_ILETIM_ANORMALLIGI_GELISMIS_MI/@value',


																				'1' AS 'ACIL_KAPAK_CERRAHISINE_DONUSUM/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'ACIL_KAPAK_CERRAHISINE_DONUSUM/@codeSystemGuid',
																				ISNULL(ACIL_KAPAK_CERRAHISINE_DONUSUM_ID,'') AS 'ACIL_KAPAK_CERRAHISINE_DONUSUM/@code',
																				ISNULL(ACIL_KAPAK_CERRAHISINE_DONUSUM_ADI,'') AS 'ACIL_KAPAK_CERRAHISINE_DONUSUM/@value',


																				'1' AS 'ACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'ACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(ACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI_ID,'') AS 'ACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI/@code',
																				ISNULL(ACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI_ADI,'') AS 'ACIL_VALVE_IN_VALVE_UYGULAMASI_GEREKEN_DURUM_GELISMIS_MI/@value',


																				'1' AS 'KARDIYOJENIK_SOK_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'KARDIYOJENIK_SOK_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(KARDIYOJENIK_SOK_GELISMIS_MI_ID,'') AS 'KARDIYOJENIK_SOK_GELISMIS_MI/@code',
																				ISNULL(KARDIYOJENIK_SOK_GELISMIS_MI_ADI,'') AS 'KARDIYOJENIK_SOK_GELISMIS_MI/@value',


																				'1' AS 'CIHAZ_EMBOLIZASYONU_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'CIHAZ_EMBOLIZASYONU_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(CIHAZ_EMBOLIZASYONU_GELISMIS_MI_ID,'') AS 'CIHAZ_EMBOLIZASYONU_GELISMIS_MI/@code',
																				ISNULL(CIHAZ_EMBOLIZASYONU_GELISMIS_MI_ADI,'') AS 'CIHAZ_EMBOLIZASYONU_GELISMIS_MI/@value',


																				'1' AS 'ANNULER_RUPTUR_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'ANNULER_RUPTUR_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(ANNULER_RUPTUR_GELISMIS_MI_ID,'') AS 'ANNULER_RUPTUR_GELISMIS_MI/@code',
																				ISNULL(ANNULER_RUPTUR_GELISMIS_MI_ADI,'') AS 'ANNULER_RUPTUR_GELISMIS_MI/@value',


																				'1' AS 'SEREBROVASKULER_OLAY_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'SEREBROVASKULER_OLAY_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(SEREBROVASKULER_OLAY_GELISMIS_MI_ISLEM_ID,'') AS 'SEREBROVASKULER_OLAY_GELISMIS_MI/@code',
																				ISNULL(SEREBROVASKULER_OLAY_GELISMIS_MI_ISLEM_ADI,'') AS 'SEREBROVASKULER_OLAY_GELISMIS_MI/@value'

																			FOR XML PATH('ISLEM_SONUNDA_KATETER_LABORATUVARINDA_SAPTANAN_KOMPLIKASYONLAR'),TYPE
																		)
																		
																		,

																		(
																			---------------------------------------------------------
																			-- GIRISIM_SONRASI_HASTANE_ICI_KOMPLIKASYONLAR
																			---------------------------------------------------------
																			SELECT

																				'1' AS 'SEREBROVASKULER_OLAY_BILGISI/@version',
																				'11e09622-4482-4f10-9e8d-012cea417196' AS 'SEREBROVASKULER_OLAY_BILGISI/@codeSystemGuid',
																				ISNULL(SEREBROVASKULER_OLAY_BILGISI_HASTANE_ID,'') AS 'SEREBROVASKULER_OLAY_BILGISI/@code',
																				ISNULL(SEREBROVASKULER_OLAY_BILGISI_HASTANE_ADI,'') AS 'SEREBROVASKULER_OLAY_BILGISI/@value',


																				'1' AS 'MIYOKARD_INFARKTUSU_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'MIYOKARD_INFARKTUSU_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(MIYOKARD_INFARKTUSU_GELISMIS_MI_ID,'') AS 'MIYOKARD_INFARKTUSU_GELISMIS_MI/@code',
																				ISNULL(MIYOKARD_INFARKTUSU_GELISMIS_MI_ADI,'') AS 'MIYOKARD_INFARKTUSU_GELISMIS_MI/@value',


																				'1' AS 'SEREBROVASKULER_OLAY_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'SEREBROVASKULER_OLAY_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(SEREBROVASKULER_OLAY_GELISMIS_MI_HASTANE_ID,'') AS 'SEREBROVASKULER_OLAY_GELISMIS_MI/@code',
																				ISNULL(SEREBROVASKULER_OLAY_GELISMIS_MI_HASTANE_ADI,'') AS 'SEREBROVASKULER_OLAY_GELISMIS_MI/@value',


																				'1' AS 'VALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'VALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(VALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI_ID,'') AS 'VALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI/@code',
																				ISNULL(VALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI_ADI,'') AS 'VALVE_IN_VALVE_IMPLATASYONU_GEREKTIRECEK_OLAY_GELISMIS_MI/@value',


																				'1' AS 'CERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'CERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(CERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI_ID,'') AS 'CERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI/@code',
																				ISNULL(CERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI_ADI,'') AS 'CERRAHI_AORT_KAPAK_REPLASMANI_GEREKTIRECEK_OLAY_GELISMIS_MI/@value',


																				'1' AS 'KALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'KALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI/@codeSystemGuid',
																				ISNULL(KALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI_ID,'') AS 'KALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI/@code',
																				ISNULL(KALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI_ADI,'') AS 'KALICI_KALP_PILI_GEREKTIRECEK_OLAY_GELISMIS_MI/@value',


																				'1' AS 'CIHAZIN_YER_DEGISTIRMESI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'CIHAZIN_YER_DEGISTIRMESI/@codeSystemGuid',
																				ISNULL(CIHAZIN_YER_DEGISTIRMESI_ID,'') AS 'CIHAZIN_YER_DEGISTIRMESI/@code',
																				ISNULL(CIHAZIN_YER_DEGISTIRMESI_ADI,'') AS 'CIHAZIN_YER_DEGISTIRMESI/@value',


																				'1' AS 'KANAMA_KOMPLIKASYONLARI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'KANAMA_KOMPLIKASYONLARI/@codeSystemGuid',
																				ISNULL(KANAMA_KOMPLIKASYONLARI_ID,'') AS 'KANAMA_KOMPLIKASYONLARI/@code',
																				ISNULL(KANAMA_KOMPLIKASYONLARI_ADI,'') AS 'KANAMA_KOMPLIKASYONLARI/@value',


																				'1' AS 'KANAMA_KOMPLIKASYONLARI_BILGISI/@version',
																				'd97e13ae-a0c9-47d3-a6ab-9962e108662f' AS 'KANAMA_KOMPLIKASYONLARI_BILGISI/@codeSystemGuid',
																				ISNULL(KANAMA_KOMPLIKASYONLARI_BILGISI_ID,'') AS 'KANAMA_KOMPLIKASYONLARI_BILGISI/@code',
																				ISNULL(KANAMA_KOMPLIKASYONLARI_BILGISI_ADI,'') AS 'KANAMA_KOMPLIKASYONLARI_BILGISI/@value',


																				'1' AS 'TAMPONAD/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'TAMPONAD/@codeSystemGuid',
																				ISNULL(TAMPONAD_HASTANE_ID,'') AS 'TAMPONAD/@code',
																				ISNULL(TAMPONAD_HASTANE_ADI,'') AS 'TAMPONAD/@value',


																				'1' AS 'TAVI_KAN_TRANSFUZYONU/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'TAVI_KAN_TRANSFUZYONU/@codeSystemGuid',
																				ISNULL(TAVI_KAN_TRANSFUZYONU_ID,'') AS 'TAVI_KAN_TRANSFUZYONU/@code',
																				ISNULL(TAVI_KAN_TRANSFUZYONU_ADI,'') AS 'TAVI_KAN_TRANSFUZYONU/@value',


																				'1' AS 'AKUT_BOBREK_HASARI/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'AKUT_BOBREK_HASARI/@codeSystemGuid',
																				ISNULL(AKUT_BOBREK_HASARI_ID,'') AS 'AKUT_BOBREK_HASARI/@code',
																				ISNULL(AKUT_BOBREK_HASARI_ADI,'') AS 'AKUT_BOBREK_HASARI/@value',


																				'1' AS 'GIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'GIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ/@codeSystemGuid',
																				ISNULL(GIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ_ID,'') AS 'GIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ/@code',
																				ISNULL(GIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ_ADI,'') AS 'GIRISIM_SONRASI_YENI_HEMOFILTRASYON_VEYA_DIYALIZ/@value',


																				'1' AS 'CERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR/@version',
																				'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'CERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR/@codeSystemGuid',
																				ISNULL(CERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR_ID,'') AS 'CERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR/@code',
																				ISNULL(CERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR_ADI,'') AS 'CERRAHI_GEREKTIREN_VASKULER_KOMPLIKASYONLAR/@value'

																			FOR XML PATH('GIRISIM_SONRASI_HASTANE_ICI_KOMPLIKASYONLAR'),TYPE
																		)

																		FOR XML PATH('TAVI_KOMPLIKASYONLAR'),TYPE
																	)

														

														  

														  

														
														 FROM #TMPUSSDIGER
														 FOR XML PATH('TAVI_GIRISIM_VE_ISLEM_SONU_BILGILERI'), TYPE
														)
														---************
													
													,					
													   (
														SELECT ISNULL(HDOSYA_SNOTAKIPNO, '' ) AS 'SYSTakipNo/@value'
														FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE 
													)							
												 FOR XML PATH('recordData'), TYPE
											  )
										   FROM #TMPUSSDIGER WITH(NOLOCK)
										   WHERE USSDIGER_ID = @CURUSSDIGERID
										FOR XML PATH (''), ROOT('SYSMessage')


									) AS goNDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									@XMLBASLIK AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							END TRY
							BEGIN CATCH
								SET @HATA = ERROR_MESSAGE()
								IF @HATA = ''
									SET @HATA = 'Bilinmeyen bir hata oluştu'

								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT	'' AS goNDERILECEKXML,
										@HATA AS HATA, 
										@MESAJ AS MESAJ,
										'' AS XMLBASLIK,
										@CURUSSDIGERID AS TABLOID,
										0 AS MINID,
										0 AS MAXID
			

							END CATCH
						END
						ELSE
						BEGIN

							INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT	'' AS goNDERILECEKXML,
									LEFT(@HATA,2000) AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							SET @HATA = ''		 
						END
					END




		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID 
		END --son HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
	

		CLOSE CURUSSDIGER
		DEALLOCATE CURUSSDIGER

		IF (SELECT COUNT(*) FROM @GONDERIMTABLOSU)=0
			INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
			SELECT	'' AS GONDERILECEKXML,
					'' AS HATA, 
					'Tüm KAYITLAR zaten gönderilmiş' AS MESAJ,
					'' AS XMLBASLIK,
					0 AS TABLOID,
					0 AS MINID,
					0 AS MAXID


	END
	ELSE
	BEGIN

		INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS goNDERILECEKXML,
				LEFT(@HATA,2000) AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@CURUSSDIGERID AS TABLOID,
				0 AS MINID,
				0 AS MAXID

		SET @HATA = ''		 
	END


	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER

	

	SELECT * FROM @goNDERIMTABLOSU


END
